<?php

namespace Modules\Order\Interfaces;

use Modules\Order\Models\Order;

interface OrderRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Order;
    public function createOrderProduct(array $request);
    public function update(array $request, Order $order): Order;
    public function destroy(Order $order): void;
    public function destroyAll(array $ids): void;
    public function restore(Order $order): void;
    public function restoreAll(array $ids): void;
    public function getProductsByChildId(int $childId);

}
